@import "../../../../../assets/styles/colors";

:host {
  margin: 0 auto;
  padding-top: 35px;
  max-width: 1152px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

img {
  max-width: 50%;
}

.container {
  width: 450px;
  height: 200px;
  padding: 2rem;
  text-align: center;
  border: dashed 1px #979797;
  position: relative;
  margin: 0 auto;

  input {
    opacity: 0;
    position: absolute;
    z-index: 2;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
  }

  svg path{
    fill: $font-secondary-color;
  }

  label {
    width: 183px;
    display: block;
    margin: 0 auto;
    color: $button-font-color;
    border-radius: 21.5px;
    background-color: $blue-color;
    padding: 8px 16px;
  }

  h3 {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
  }
}

.fileover {
  background-color: $blue-color;
  transition: background-color 1.1s;
  border: dashed 1px $blue-color;
}

.files-list {
  margin-top: 1.5rem;
  width: 50%;
  .single-file {
    display: flex;
    padding: 0.5rem;
    justify-content: space-between;
    align-items: center;
    border: dashed 1px $font-secondary-color;
    margin-bottom: 1rem;

    .delete {
      display: flex;
      margin-left: 0.5rem;
      cursor: pointer;
      align-self: flex-end;
    }
    flex-grow: 1;

    .name {
      font-size: 14px;
      font-weight: 500;
      margin: 0;
    }

    .size {
      font-size: 12px;
      font-weight: 500;
      margin: 0;
      margin-bottom: 0.25rem;
    }

    .info {
      width: 100%
    }
  }
}

/* Shake animation */

